package com.studioirregular.tatala;

/**
 * Things which updated every frame.
 * 
 * @author Michael Wang
 *
 */
public abstract class GameObject {

    public GameObject() {
        this("unknown");
    }
    
    public GameObject(String id) {
        this.id = id;
    }
    
    /**
     * 
     * @param timeDelta in milliseconds.
     * @param parent
     */
    public abstract void update(int timeDelta, GameObject parent);
    
    public String id;   // TODO: change to name
}
